/* global angular, random */
angular.module("app").config([
    '$stateProvider',
    function ($stateProvider) {
        $stateProvider.state('main.tarifas_pase', {
            url: '/tarifas_pase',
            templateUrl: 'templates/tarifas/tarifas-lista.html' + random,
            controller: 'TarifasPaseCtrl',
            resolve: {
                loadMyCtrl: [
                    '$ocLazyLoad',
                    function ($ocLazyLoad) {
                        return $ocLazyLoad.load([
                            'js/controllers/tarifas-controllers.js' + random,
                            'js/services/tarifas-services.js' + random
                        ]);
                    }
                ]
            }
        });
    }
]);